import type { UmbImageCropperCrop, UmbImageCropperCrops, UmbImageCropperFocalPoint, UmbImageCropperPropertyEditorValue } from './types.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
export declare class UmbInputImageCropperFieldElement extends UmbLitElement {
    #private;
    set value(value: UmbImageCropperPropertyEditorValue | undefined);
    get value(): UmbImageCropperPropertyEditorValue | undefined;
    crops: UmbImageCropperCrops;
    currentCrop?: UmbImageCropperCrop;
    set file(file: File | undefined);
    get file(): File | undefined;
    fileDataUrl?: string;
    focalPoint: UmbImageCropperFocalPoint;
    hideFocalPoint: boolean;
    src: string;
    private _serverUrl;
    get source(): string;
    constructor();
    disconnectedCallback(): void;
    protected onCropClick(crop: any): void;
    protected onResetFocalPoint: () => void;
    render(): import("lit-html").TemplateResult<1>;
    protected renderMain(): import("lit-html").TemplateResult<1>;
    protected renderActions(): import("lit-html").TemplateResult<1>;
    protected renderSide(): unknown;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-image-cropper-field': UmbInputImageCropperFieldElement;
    }
}
